### Purpose
> Describe the problem, feature, improvement or the change introduces by the PR briefly. Add screenshots/GIFs if UI/UX changes are introduced. Remove this placeholder when you're editing.

### Related Issues
- Issue `#1`

### Checklist
- [ ] No ESLint issues in the committed files.
- [ ] Unit tests provided. (Add coverage if possible)
- [ ] Accessibility checks covered. [Dev doc](https://docs.google.com/document/d/1uQSItbG7FFVPMvKBFktL3xh7yq_iq9uGfctfRVw6bjo/edit)
- [ ] e2e cypress tests locally verified.
- [ ] Manual test round performed and verified.
- [ ] UX/UI review done on the final implementation
- [ ] Documentation provided. (Add links)
- [ ] Integration tests provided. (Add links if any)
- [ ] i18n Translation used for all text content, and with all supported languages (English, French, Spanish, German & Portuguese).
  - authentication portal: [app-extensions/authentication-portal/src/main/resources/org/wso2/carbon/identity/application/authentication/endpoint/i18n](https://github.com/wso2-enterprise/asgardeo-app-extensions/blob/master/app-extensions/authentication-portal/src/main/resources/org/wso2/carbon/identity/application/authentication/endpoint/i18n))
  - recovery portal: [app-extensions/recovery-portal/src/main/resources/org/wso2/carbon/identity/mgt/recovery/endpoint/i18n](https://github.com/wso2-enterprise/asgardeo-app-extensions/blob/master/app-extensions/recovery-portal/src/main/resources/org/wso2/carbon/identity/mgt/recovery/endpoint/i18n)
  - myaccount: [modules/i18n/src/translations](https://github.com/wso2/identity-apps/blob/master/modules/i18n/src/translations)
### Related PRs
- Related PR `#1`

### Security checks
- [ ] Followed secure coding standards in http://wso2.com/technical-reports/wso2-secure-engineering-guidelines?
- [ ] Ran FindSecurityBugs plugin and verified report?
- [ ] Confirmed that this PR doesn't commit any keys, passwords, tokens, usernames, or other secrets?
